<kendo-grid 
    [data]="dsOpcionesMenu" 
    [selectable]="true"
    [navigable]="true"
    [reorderable]="true"
    [resizable]="true"
    (detailExpand)="expandMenu($event)"
    (remove)="agregarMenu($event)"
    style="height: 68vh">
    <kendo-grid-column field="iSec"      title="Sec"  width="80"></kendo-grid-column>
    <kendo-grid-column field="cMenu"     title="Menu" width="250"></kendo-grid-column>
    <!-- <kendo-grid-command-column title="Actions" width="120">
        <ng-template kendoGridCellTemplate>
            <button kendoGridRemoveCommand>Agregar</button>
        </ng-template>
    </kendo-grid-command-column> -->
    <div *kendoGridDetailTemplate="let dataItem2">
        <kendo-grid 
            [data]="dataItem2.SubMenu"
            [selectable]="true"
            [navigable]="true"
            [reorderable]="true"
            [resizable]="true"
            (edit)="agregarSubMenu($event)"
            (detailExpand)="expandSubmenu($event)"
            class="mt-1">
            <kendo-grid-column field="iSec"      title="Sec"  width="80"></kendo-grid-column>
            <kendo-grid-column field="cSubMenu"  title="Sub-Menú"></kendo-grid-column>
            <kendo-grid-column field="cPrograma" title="Programa"></kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="220">
                <ng-template kendoGridCellTemplate>
                        <button kendoGridEditCommand [primary]="true">Agregar</button>
                </ng-template>
            </kendo-grid-command-column>
            <div *kendoGridDetailTemplate="let dataItem3">
                    <kendo-grid 
                        [data]="dataItem3.Opcion" 
                        [selectable]="true"
                        (remove)="agregarOpcion($event)"
                        class="mt-1">
                        <kendo-grid-column field="iSec"      title="Sec" width="80"></kendo-grid-column>
                        <kendo-grid-column field="cOpcion"   title="Opción"></kendo-grid-column>
                        <kendo-grid-column field="cPrograma" title="Programa"></kendo-grid-column>
                        <kendo-grid-command-column title="Actions" width="220">
                            <ng-template kendoGridCellTemplate>
                                <button kendoGridRemoveCommand>Agregar</button>
                            </ng-template>
                        </kendo-grid-command-column>
                    </kendo-grid>
                </div>
        </kendo-grid>
    </div>
  </kendo-grid>